#ifndef _CHAR_LCD_H
#define _CHAR_LCD_H

#include <linux/types.h>

#define LCD_MAX_COL		16
#define LCD_MAX_ROW		2

#define LCD_BASEADDR		0xF8000000 // CS3 = 0x18000000

/* LCD Command Read/Write Register */
#define LcdCommandW (*((unsigned char*)LCD_BASEADDR))	
#define LcdCommandR (*((unsigned char*)(LCD_BASEADDR+1)))	

/* LCD Data Read/Write Register */
#define LcdDataW    (*((unsigned char*)(LCD_BASEADDR+2)))	
#define LcdDataR    (*((unsigned char*)(LCD_BASEADDR+3)))	

extern char lcd_ready(void);			// Check for LCD to be ready
extern void lcd_clrscr(void);			// Clear LCD. 
extern char lcd_init(void);			// LCD Init
extern void lcd_gotoxy(u8 x, u8 y);	// Output character string in current Cursor.
extern char* lcd_puts(char* str);		// Output character stream in current Cursor.
extern void lcd_putch(char ch);		// Output 1 character in current Cursor.
extern void lcd_home_cursor(void);		// Move Cursor first Column.
extern void lcd_set_cursor_type(u8 type);	// Decide Cursor type.
extern void lcd_shitf_cursor(u8 dir);	// Shift to Left and Right current Cursor.

#endif
